Subject: bug#53882: closed (Re: bug#53882: [PATCH] gnu: Add ocaml-core.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Apr 2022 10:21:02 +0000

Your bug report

#53882: [PATCH] gnu: Add ocaml-core.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53882: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53882
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53882: [PATCH] gnu: Add ocaml-core.
From: Ludovic Courtès <[email-masked]>
To: zimoun <[email-masked]>
Cc: Julien Lepiller <[email-masked]>, [email-masked]
Date: Mon, 11 Apr 2022 12:19:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

zimoun <[email-masked]> skribis:

> The aim of this series is:
>
>         This patch series adds ocaml-core. It's one of the missing
>         dependencies for bap. Adding this will get us closer to being able to
>         update bap, and getting rid of its ocaml4.07 dependencies.
>
>         The first two patches modify the importer, and I needed them to import
>         the packages. The following patches are dependencies of ocaml-core.
>         All of them follow the same principle: add the package and make the
>         ocaml4.07 variant inherit from it. The derivation for most of these
>         variants stay the same.
>
> and the first patch comes from #54596 fixing ocaml-odoc broken by the recent
> change about dune.
>
>
> All LTGM!  I fixed minor typos and lint.  Some descriptions would need a
> better wording but hey. :-)

Pushed the whole thing as 24851bf6f9afa29074b4b88f990704b2f386e202.

Thanks to the three of you!

Ludo’.

Subject: [PATCH] gnu: Add ocaml-core.
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Tue, 8 Feb 2022 21:08:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

This patch series adds ocaml-core. It's one of the missing dependencies
for bap. Adding this will get us closer to being able to update bap,
and getting rid of its ocaml4.07 dependencies.

The first two patches modify the importer, and I needed them to import
the packages. The following patches are dependencies of ocaml-core.
All of them follow the same principle: add the package and make the
ocaml4.07 variant inherit from it. The derivation for most of these
variants stay the same.